Page MenuHomePhabricator

ecore_drm2: Only use a virtual terminal on seat0
ClosedPublic

Authored by n3rdopolis on Dec 26 2017, 9:49 PM.

Details

Summary

Only seat0 supports virtual terminals.

Test Plan

Make sure enlightenment does not error out on non-seat0 due to a virtual terminal error. Enlightenment will not start yet on seat1 with this alone

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
n3rdopolis created this revision.Dec 26 2017, 9:49 PM

I'm not sure I'd want to see this landed until non-zero seat actually works...

src/lib/elput/elput_logind.c
526

This should be a strcmp()

n3rdopolis updated this revision to Diff 13643.Jan 4 2018, 3:36 PM

use strcmp

This is looking better, but I'm also looking at weston's launcher-logind, and it appears they have this same check in place.

While weston does have some buggy behaviour, I'm not certain we want to be different here - have you also submit a patch for this under weston? (it's possible I'm missing a subtle difference of course...)

Yes. I submitted something upstream to Weston. As of now ,unpatched Weston fails to start on non-seat0 as well
https://lists.freedesktop.org/archives/wayland-devel/2017-December/036433.html

Is there something I need to change with this?

Sorry, will take a couple of days to come to a decision on this. We're not blocking on you right now.

I need to learn a bit more about seats...

n3rdopolis marked an inline comment as done.Jan 11 2018, 4:53 PM

OK. Let me know if you need a QEMU configuration, that has the ability to support multiple seats, or a bash script to make it easier to configure your udev for multiple seats , if you need to experiment with multiple seats, because I have that if needed.

FYI: There is https://dvdhrm.wordpress.com/2013/08/24/how-vt-switching-works/ from a systemd developer

This looks ok to me

devilhorns accepted this revision.Jan 22 2018, 8:24 AM
This revision is now accepted and ready to land.Jan 22 2018, 8:24 AM
This revision was automatically updated to reflect the committed changes.